from setuptools import setup

with open("README.md", "r") as fh:
    long_description = fh.read()

setup(
    name='pyem_st_artifacts',
    version='1.0.1.post1',
    py_modules=[
        'em_st_artifacts.em_st_artifactslib'],
    packages=['em_st_artifacts'],
    url='https://gitlab.com/neurosdk2/neurosamples/-/tree/main/python',
    license='MIT',
    author='Brainbit Inc.',
    author_email='support@brainbit.com',
    description='Python wrapper for Emotions library',
    long_description=long_description,
    long_description_content_type='text/markdown',
    include_package_data=True,
    package_data={"em-st-artifacts": ['libs\\x64\\artifacts-x64.dll',
                               'libs\\x64\\em_st_artifacts-x64.dll',
                               'libs\\x64\\filters.dll', 
                               'libs\\x86\\artifacts-x86.dll',
                               'libs\\x86\\em_st_artifacts-x86.dll',
                               'libs\\x86\\filters.dll']},
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: Microsoft :: Windows",
        "Intended Audience :: Developers",
    ],
    python_requires='>=3.7',
)